//sampler RT : register(s0);
//sampler NormalMap : register(s1);

//float4 main_ps(float2 iTexCoord : TEXCOORD0) : COLOR
//{
//	float4 normal = 2 * (tex2D(NormalMap, iTexCoord * 2.5) - 0.5);

//	return tex2D(RT, iTexCoord + normal.xy * 0.05);
//}
uniform sampler2D tex0;
uniform sampler2D tex1;
//varying vec2 uv;

void main()
{
    vec2 uv = gl_TexCoord[0].xy;
    vec4 normal = 2.0 * (texture2D(tex1, uv * 2.5) - 0.5);
    gl_FragColor = texture2D(tex0, uv + normal.xy * 0.05);
//    gl_FragColor = vec4(1,0,0,1);
}
